/* 
 * Copyright (c) 2000 Carnegie Mellon University.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The name "Carnegie Mellon University" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For permission or any other legal
 *    details, please contact  
 *      Office of Technology Transfer
 *      Carnegie Mellon University
 *      5000 Forbes Avenue
 *      Pittsburgh, PA  15213-3890
 *      (412) 268-4387, fax: (412) 268-7395
 *      tech-transfer@andrew.cmu.edu
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Computing Services
 *     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
 *
 * CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
 * FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 * AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef AND_FILE_H
#define AND_FILE_H

#include <stdio.h>
#include <sys/stat.h>

int FIO_OpenFile(char *fname);
int FIO_ExpandName(char *o_fn, char *e_fn,int try_home);
int FIO_ReadFromFile(char *buf,int  size);
int FIO_WriteToFile(char *buf,int   len);
int FIO_ReadStream(FILE *stream,char *buf,unsigned int len);
int FIO_WriteStream(FILE *stream,char *buf,unsigned int len);
int FIO_SeekStream(FILE *stream,long  pos);
int FIO_CloneFile(char *f1,char *f2,long  fsize);
int FIO_AppendFile(char *f1,char *to_f2,long fsize);
void FIO_CloseStream(FILE *a_stream);
FILE *FIO_OpenStream(char *fname,int  flags);
int get_stat(char *fname,struct stat *sbuf);
long FIO_GetModifyTime(char *fname);
long FIO_GetFileSize(char *fname);
int FIO_EditFile(char *fname,int  *changed);
void FIO_SetupArgs(int max_args,char **argbuf,char *pname,char *fname);
int FIO_CloseFile(void);
void FIO_EraseFile(char *fname);
int FIO_CreateFile(char *fname);
int FIO_ResolveName(const char *o_fn,char *e_fn);
int FIO_GenTmpName(char *fbuf);
char *FIO_GenUniqueName(void);
void FIO_SetTextMode(int on_off);

int FIO_MakeBackup(char *fname);

#endif /* AND_FILE_H */
