/* 
 * Copyright (c) 2000 Carnegie Mellon University.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The name "Carnegie Mellon University" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For permission or any other legal
 *    details, please contact  
 *      Office of Technology Transfer
 *      Carnegie Mellon University
 *      5000 Forbes Avenue
 *      Pittsburgh, PA  15213-3890
 *      (412) 268-4387, fax: (412) 268-7395
 *      tech-transfer@andrew.cmu.edu
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Computing Services
 *     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
 *
 * CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
 * FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 * AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef DOCUMENT_H
#define DOCUMENT_H

#include "text.h"

void DOC_ComposeMail(int  aCmdNumber, int ListNumber, int cmdIndex,long Selected,char *aStr);

void DOC_OpenNew(void);

void DOC_OpenLocalFile(void);

void DOC_BugReport(void);

void DOC_ReInitialize(int net_is_dead);

void DOC_SubmitMsg(TEXT_VIEW *tview);

void DOC_AppendRemote(TEXT_VIEW *tview,char *fname);

int DOC_SaveAsRemote(TEXT_VIEW *tview,char *filename);

int DOC_ReadFile(TEXT_BUF_pt atbuf,char *filename,long fsize);

void DOC_LoadLocalFile(char *filename,long  fsize,char *window_name,
		       int remove_on_close, int off_disk);

void DOC_AppendLocal(TEXT_VIEW *tview,char *fname);

void DOC_PickupFile(void);

void DOC_RemoteDataArrived(char *buf,long size);

void DOC_RemoteFileCreated(char *filename);

void DOC_RemoteWriteDone(void);

void DOC_HandleRFileError(void);

void DOC_DoMenuCommand(int mid);

void DOC_ReplaceFile(char *fname,long fsize);

void DOC_OpenNew_withdata(char *to, char *cc, char *subject,
			  char *answer_mbox, int answer_num, int fwd);

int DOC_signmessage(TEXT_VIEW *tview);

void DOC_VerifyMsg(TEXT_VIEW *tview);

TEXT_VIEW_pt DOC_CreateTextview(long file_size);

void DOC_ActivateView(TEXT_BUF_pt atbuf);

void DOC_UpdateHeaderDisplay(void);

#endif /* DOCUMENT_H */
