RM = rm -f
BASEDIR = /usr/local

# the following lines are commented out due to problems with dec resolver
# RESOLVINC+{pmax_ul4}=
# RESOLVLIB+{pmax_ul4}=

.SUFFIXES: .PS .do .o .ih .eh .fwm .snf .rtx .c .s .spp .y .l .ch .mss .fdb

UTILLIB = 

MALLOCLIB = $(BASEDIR)/lib/libplumber.a

OBJECTPATH = /usr/obj/local$(BUILDSUBDIR)

INCLUDES = \
	-I$(SOURCEPATH) \
	-I$(BASEDIR)/include \
	-I/usr/include \
	-I.

STD_DEFINES =  -DCURSES 

STD_DEFINES+{pmax_ul4} = -G0 -DCURSES -D$(SYS)

CFLAGS = -g

PRODUCTS = ezmail

OBJS =	rlbi.o \
	clinet.o \
	and_scr.o \
	and_mach.o \
	and_file.o \
	and_prt.o \
	prefs.o \
	document.o \
	list.o \
	windows.o \
	menus.o \
	console.o \
	text.o \
	edit.o \
	dialog.o \
	mapcmd.o \
	msgs.o \
	pfpack.o \
	pfunpack.o \
	rlci_fio.o \
	rlci_log.o \
	rlci.o \
	versinfo.o \
	ezmail.o \
	smtp.o

TERMLIBS = -lcurses -ltermcap lib/libcyrus.a -lsasl

TERMLIBS+{pmax_ul4} = /usr/local/lib/curses/libcurses.a -ltermcap

LIBS= $(TERMLIBS) $(UTILLIB) $(RESOLVLIB) 

.c.o:
	-$(RM) $@
	$(CC) -c -g $(STD_DEFINES) $(INCLUDES) $*.c

all:: $(PRODUCTS)

ezmail: $(OBJS) lib/libcyrus.a
	-$(RM) $@
	$(CC) $(CFLAGS) -o $@  $(OBJS) $(LIBS)

clean::
	-$(RM) *.do *.eh *.ih *.a *.fwm *.snf *.rtx
	-$(RM) install.time install.doc
	-$(RM) $(OBJS)
	-$(RM) $(PRODUCTS)

KMAP = EzMail.key

HELP = help/ezmail.help

install: all
#	-mkdir ${DESTDIR}/bin
#	-mkdir ${DESTDIR}/lib
#	-mkdir ${DESTDIR}/lib/ezmail
	$(INSTALL) -c $(PRODUCTS) $(DESTDIR)/bin/old-ezmail
	$(INSTALL) -c $(SOURCEPATH)/$(KMAP) $(DESTDIR)/lib/ezmail/$(KMAP)
	$(INSTALL) -c $(SOURCEPATH)/$(HELP) $(DESTDIR)/help/old-ezmail.help
